/*
* @Author: Rot
* @Date:   2017-11-20 15:51:43
* @Last Modified by:   Rot
* @Last Modified time: 2017-12-25 21:34:05
*/
.ge-audience-text { font-size: 16px !important; position: relative; }
.ge-tag16 {
    margin-top: 16px;
    margin-bottom: 12px;
}
.ge-tag {
    display: block;
    color: var(--ge-primary-text-dark-color);
    background-color: #fafafa;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    border: 1px solid #f0f0f0;
    padding: 6px 14px;

}

.ge-inline-list button {
    padding: 8px 16px;
}

.ge-tag-item:hover .ge-remove {
    display: block;
}

.ge-options model-content li { clear: both; float: none; }

.ge-remove { position: absolute; display: none; top: -12px; right: -12px; }

.ge-remove button {
    width: 24px;
    height: 24px;
    background-color: white;
    border: 1px solid #f0f0f0;
    border-radius: 15px;
}

.ge-paragraph { padding-top: 6px; padding-bottom: 6px; }

.ge-remove span {
    position: relative;
    bottom: 1px;
}

[tag-container] li, [audience-container] li {
    margin-bottom: 8px;
    margin-right: 16px;
}
.ge-audience-model {
    left: -119px;
    top: 62px;
}

[model-topic] {
    bottom: -74px;
}

.ge-inline-list li { float: left; }

.ge-block {
    display: block !important;
}

.ge-write {
    margin: 0 auto;
    padding: 0;
}
.ge-write .ge-img  {
    width: 46px;
    height: 46px;
    border-radius: 100%;
}

.ge-user-avatar {
    width: 48px;
    height: 48px;
}

.ge-write .ge-draft {
    font-size: 12.8px;
    color: var(--ge-primary-text-color);
    padding-top: 4px;

}

ge-mode > div, ge-mode > p {
    position: relative;
}

.ge-popover-arrow {
    position: absolute;
    top: -14px;
    left: 50%;
}

.ge-popover-arrow:after {
    content: "";
    display: block;
    width: 14px;
    height: 14px;
    background-color: white;
    transform: rotate(45deg) translate(6px,6px);
    box-shadow: -1px -1px 1px -1px rgba(0,0,0,.54);
}

.ge-write .ge-header {
    padding-top: 32px;
    padding-bottom: 10px;
}

.ge-write .ge-content {
    margin-top: 24px;
}

.ge-options li {
    float: left;
    margin-right: 20px;
    cursor: pointer;
    padding-top: 5px;
    padding-bottom: 5px;
}

.ge-options li:last-child {
    margin-right: 0;
}

.ge-limit.ge-limit-question { text-align: left; border-bottom: 1px solid transparent;}

.ge-audience { font-size: 14px; }

.ge-audience:hover {
    color: var(--ge-primary-text-dark-color);
}

.ge-model-wrapper
{
    position: relative;
    background: white;
    width: 601.4px;
    max-width: 601.4px;
    border-radius: 3px;
    box-shadow: 0 1px 2px rgba(0,0,0,.25), 0 0 1px rgba(0,0,0,.35);
}


.ge-vertical16 {
    padding-top: 16px;
    padding-bottom: 16px;
}

.ge-tab-light {
    border-bottom: 1px solid rgba(0, 0, 0, .15);
    margin-bottom: 12px;
}

.ge-audience-explain > li {
    display: none;
    margin-top: 8px;
}

.ge-audience-explain li.ge-active {
    display: block;
}

.ge-audience:hover .ge-audience-ext {
    fill: var(--ge-primary-text-dark-color);
}

.ge-radio {
    float: left;
}
.ge-options button {
    margin-bottom: 5px;
}

.ge-radio input{
    display: none;
}

.ge-radio span {
    display: inline-block;
    width: 18px;
    height: 18px;
    margin-right: 12px;
    background-color: #fff;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: 100%;
}
.ge-active .ge-textbox {
    display: block;
}
.ge-textbox input { max-width: 100px; text-align: center; }

.ge-active .ge-radio span:after {
    content: "";
    position: relative;
    width: 12px;
    height: 12px;
    left: 2px;
    top: 2px;
    display: block;
    background-color: var(--ge-primary-color);
    border-radius: 100%;
}

.ge-audience-ext {
    position: relative;
    padding-left: 4px;
    top: 4px;
    fill: var(--ge-primary-text-color);
    transition: color .3s;
    -webkit-transition: color .3s;
}

.ge-button-option {
    width: 35px;
    height: 35px;
    border: 1px solid var(--ge-primary-text-dark-color);
    fill: var(--ge-primary-text-dark-color);
    border-radius: 100%;
}

.ge-button-option .ge-icon, .ge-button .ge-icon {
    position: relative;
    top: 1px;
}

.ge-setting-text { font-size: 18px; position: relative; }
.ge-setting-text > .ge-paragraph {
    font-size: inherit;
    position: relative;
    z-index: 1;
}
.ge-width-mode {
    max-width: var(--ge-main-small-width);
    margin: 0 auto;
}

.ge-setting-text .ge-absolute {
    display: none;
    top: 0;
    padding-top: 6px;
    padding-bottom: 6px;
}

.ge-width-option { 
    width: 186.25px;
}

.ge-margin-h8 {
    margin-top: 8px;
    margin-bottom: 8px;
}
.ge-padding-h10 {
    padding-top: 10px;
    padding-bottom: 10px;
}
.ge-explain { margin-top: 6px; }
.ge-limit-question { min-width: 462px; color: var(--ge-primary-text-color); border-bottom: 1px solid transparent }
.ge-center { align-items: center }
.ge-textbox { margin-right: 8px; display: none; }
.ge-error-text { border-bottom-color: crimson !important; }